Name:               mailcap
Version:            2.1.48
Release:            6
Summary:            Configuration tool for MIME-aware applications
License:            Public Domain and MIT
URL:                https://pagure.io/mailcap
Source0:            https://pagure.io/releases/mailcap/%{name}-%{version}.tar.xz

BuildRequires:      perl-interpreter
BuildArch:          noarch

Provides:           nginx-mimetypes
Obsoletes:          nginx-mimetypes

%description
Mailcap files are used to configure how MIME-aware applications such as
mail readers and Web browsers react to files with different MIME types.
(The name “mailcap” is derived from the phrase “mail capability”.) For example,
a mailcap file might contain a line like video/mpeg; xmpeg %s. Then, if the
user encounters an email message or Web document with the MIME type video/mpeg,
%s will be replaced by a filename (usually one belonging to a temporary file) and
the xmpeg program can be automatically started to view the file.

%package_help

%prep
%autosetup

%build
%make_build

%install
%make_install

%check
make check

%pre

%preun

%post

%postun

%files
%defattr(-,root,root)
%doc NEWS
%license COPYING
%config(noreplace) %{_sysconfdir}/mailcap
%config(noreplace) %{_sysconfdir}/mime.types
%config(noreplace) %{_sysconfdir}/nginx/mime.types

%files help
%{_mandir}/man4/mailcap.*

%changelog
* Mon Dec 23 2019 chengquan <chengquan3@huawei.com> - 2.1.48-6
- Type:bugfix
- ID:NA
- SUG:NA
- DESC:transfer nginx function into main package

* Thu Aug 29 2019 openEuler Buildteam <buildteam@openeuler.org> - 2.1.48-5
- Package init
